Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.actions
Class MultiSimulateAction

    java.lang.Object
      avrora.actions.Action
          avrora.actions.SimAction
              avrora.actions.MultiSimulateAction

public class MultiSimulateAction
extends SimAction

The `MultiSimulateAction` class represents an action available to the simulator where multiple nodes are run in simulation.

Field Summary
`Option.Bool` | `CHANNEL_UTIL`
`static java.lang.String` | `HELP`
`Option.Bool` | `LEGACY_INTERPRETER`
`Option.List` | `NODECOUNT`
`Option.Interval` | `RANDOM_START`
`Option.Long` | `RANDOMSEED`
`Option.Long` | `STAGGER_START`
`Option.Bool` | `TIME`
`Option.Str` | `TOPOLOGY`

Fields inherited from class avrora.actions.SimAction
`CHIP, ICOUNT, monitorFactoryList, monitorListMap, monitorNameMap, MONITORS, PLATFORM, SECONDS, TIMEOUT`

Fields inherited from class avrora.actions.Action
`help, options, shortName`

Constructor Summary
`MultiSimulateAction()`

Method Summary
`void` | `run(java.lang.String[] args)` The `run()` method is called by the main class and is passed the remaining command line arguments after options have been stripped out.

Methods inherited from class avrora.actions.SimAction
`getMicrocontroller, getPlatform, hasMonitors, newSimulator, processMonitorList, processTimeout, reportMonitors, reportQuantity, reportQuantity, reportQuantity`

Methods inherited from class avrora.actions.Action
`getHelp, getShortName, newOption, newOption, newOption, newOption, newOption, newOptionList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HELP

    public static final java.lang.String HELP

See Also:
  Constant Field Values

### NODECOUNT

    public final Option.List NODECOUNT

### RANDOMSEED

    public final Option.Long RANDOMSEED

### TOPOLOGY

    public final Option.Str TOPOLOGY

### LEGACY_INTERPRETER

    public final Option.Bool LEGACY_INTERPRETER

### TIME

    public final Option.Bool TIME

### RANDOM_START

    public final Option.Interval RANDOM_START

### STAGGER_START

    public final Option.Long STAGGER_START

### CHANNEL_UTIL

    public final Option.Bool CHANNEL_UTIL

Constructor Detail

### MultiSimulateAction

    public MultiSimulateAction()

Method Detail

### run

    public void run(java.lang.String[] args)
             throws java.lang.Exception

  Description copied from class: `Action`
  The `run()` method is called by the main class and is passed the remaining command line arguments after options have been stripped out.

  Specified by:
    `run` in class `Action`
  Parameters:
    `args` - the command line arguments
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD